org.keycloak.representations.adapters.config

## Class PolicyEnforcerConfig.PathConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.PolicyEnforcerConfig.PathConfig

- Enclosing class:
    PolicyEnforcerConfig

      public static class PolicyEnforcerConfig.PathConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<PolicyEnforcerConfig.PathConfig>` | `createPathConfigs(ResourceRepresentation resourceDescription)`
    `Map<String,Map<String,Object>>` | `getClaimInformationPointConfig()`
    `PolicyEnforcerConfig.EnforcementMode` | `getEnforcementMode()`
    `String` | `getId()`
    `List<PolicyEnforcerConfig.MethodConfig>` | `getMethods()`
    `String` | `getName()`
    `PolicyEnforcerConfig.PathConfig` | `getParentConfig()`
    `String` | `getPath()`
    `List<String>` | `getScopes()`
    `String` | `getType()`
    `boolean` | `hasPattern()`
    `void` | `invalidate()`
    `boolean` | `isInstance()`
    `boolean` | `isInvalidated()`
    `boolean` | `isStatic()`
    `void` | `setClaimInformationPointConfig(Map<String,Map<String,Object>> claimInformationPointConfig)`
    `void` | `setEnforcementMode(PolicyEnforcerConfig.EnforcementMode enforcementMode)`
    `void` | `setId(String id)`
    `void` | `setMethods(List<PolicyEnforcerConfig.MethodConfig> methods)`
    `void` | `setName(String name)`
    `void` | `setParentConfig(PolicyEnforcerConfig.PathConfig parentConfig)`
    `void` | `setPath(String path)`
    `void` | `setScopes(List<String> scopes)`
    `void` | `setStatic(boolean staticPath)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathConfig

          public PathConfig()

  - ### Method Detail

    - #### createPathConfigs

          public static Set<PolicyEnforcerConfig.PathConfig> createPathConfigs(ResourceRepresentation resourceDescription)

    - #### getPath

          public String getPath()

    - #### setPath

          public void setPath(String path)

    - #### getScopes

          public List<String> getScopes()

    - #### setScopes

          public void setScopes(List<String> scopes)

    - #### getMethods

          public List<PolicyEnforcerConfig.MethodConfig> getMethods()

    - #### setMethods

          public void setMethods(List<PolicyEnforcerConfig.MethodConfig> methods)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### setId

          public void setId(String id)

    - #### getId

          public String getId()

    - #### getEnforcementMode

          public PolicyEnforcerConfig.EnforcementMode getEnforcementMode()

    - #### setEnforcementMode

          public void setEnforcementMode(PolicyEnforcerConfig.EnforcementMode enforcementMode)

    - #### getClaimInformationPointConfig

          public Map<String,Map<String,Object>> getClaimInformationPointConfig()

    - #### setClaimInformationPointConfig

          public void setClaimInformationPointConfig(Map<String,Map<String,Object>> claimInformationPointConfig)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hasPattern

          public boolean hasPattern()

    - #### isInstance

          public boolean isInstance()

    - #### setParentConfig

          public void setParentConfig(PolicyEnforcerConfig.PathConfig parentConfig)

    - #### getParentConfig

          public PolicyEnforcerConfig.PathConfig getParentConfig()

    - #### invalidate

          public void invalidate()

    - #### isInvalidated

          public boolean isInvalidated()

    - #### isStatic

          public boolean isStatic()

    - #### setStatic

          public void setStatic(boolean staticPath)

Copyright © 2021 JBoss by Red Hat. All rights reserved.